summaryrefslogtreecommitdiff
path: root/src/abslibre-tools/createworkdir
diff options
context:
space:
mode:
Diffstat (limited to 'src/abslibre-tools/createworkdir')
-rwxr-xr-xsrc/abslibre-tools/createworkdir54
1 files changed, 54 insertions, 0 deletions
diff --git a/src/abslibre-tools/createworkdir b/src/abslibre-tools/createworkdir
new file mode 100755
index 0000000..5599de9
--- /dev/null
+++ b/src/abslibre-tools/createworkdir
@@ -0,0 +1,54 @@
+#!/usr/bin/env bash
+# CreateWorkDir
+# Creates a dir structure for working with Parabola packages
+
+# Copyright (C) 2010-2011 Nicolás Reynolds <fauno@parabola.nu>
+# Copyright (C) 2011 Joshua Ismael Haase Hernández (xihh) <hahj87@gmail.com>
+# Copyright (C) 2013 Luke Shumaker <lukeshu@sbcglobal.net>
+#
+# License: GNU GPLv3+
+#
+# This file is part of Parabola.
+#
+# Parabola is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Parabola is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Parabola. If not, see <http://www.gnu.org/licenses/>.
+
+set -euE
+
+. libremessages
+. "$(librelib conf.sh)"
+load_files libretools
+check_vars libretools WORKDIR ABSLIBRERECV ABSLIBRESEND # these are asked for by `xbs download`
+
+trap 'error "Aborting..."' EXIT
+
+msg "Creating WORKDIR at %s..." "$WORKDIR"
+mkdir -p "$WORKDIR"
+
+msg "Creating staging directory in WORKDIR..."
+mkdir -p "$WORKDIR/staging"
+
+cmd=(xbs -b abslibre download)
+if ! "${cmd[@]}"; then
+ error "Could not clone ABSLibre"
+ plain "Try running this command:"
+ echo
+ printf '%q ' "${cmd[@]}"
+ echo
+ exit 1
+fi
+
+msg "Finished, your packaging directory tree looks like this now:"
+ls --color=auto "${WORKDIR}"/*
+
+trap -- EXIT